Subject: Re: can the kernel show user task stack backtrace ?

From: Alessandro Rubini <[email-masked]>
Date: Thu, 30 Jul 2009 18:19:42 +0200

> We're dealing with some complex (3rd party) applications and I like to see a
> user task stack backtrace.
> 
> (Of course the way to go here is to use a debugger (gdb) and
>   do a backtrace (with the coredump file).

Actually, you can intercept SIGSEGV and print your own stack from within
the signal handler. You can also open /proc/self/maps and print it, to
ease understanding the various pointers in there, especially if the
application is using a number of shared libs.

This is usually easier than getting to a core dump, although there is
less information than what the core offers.

I have the code for ARM and I've it on ppc once, but I must dig for the actual
code.

/alessandro